*{
    box-sizing: border-box;
    font-family: "IBM Plex Mono", monospace;
    font-style: normal;
}

body{
    background-color: #000000;
    margin: 0;
    padding: 0;
    overflow-x: hidden;
}


#menu-icon{
    width: 30px;
    height: 20px;
}

.top, .bottom{
    stroke-width: 6px;
}

#menu-icon line {
    transition: all 0.4s ease;
}
  
#menu-icon.collapsed .top {
    transform: translateY(10px); /* Move to center */
}
  
#menu-icon.collapsed .bottom {
    transform: translateY(-10px); /* Move to center */
}

nav{
   display: none;
}

header{
    top: 0;
    height: 12vh;
    display: flex;
    color: #ffffff;
    z-index: 10;
    position: fixed;
    width: 100vw;
    max-width: 100%;
    align-items: center;
    gap: 40vw;
    justify-content: space-around;
    background-color: #000000;
}

.mobile_nav{
    position: fixed;
    width: 100%;
    height: 88dvh;
    bottom: 0;
    background: rgba(0, 0, 0, 0.926);
    z-index: 99;
    color: #ffffff;
    display: flex;
    justify-content: center;
    align-items: center;
    justify-self: center;
    display: none;
    transition: all 0.5s ease-in-out;
}

.mobile_nav ul{
    padding: 0;
    margin: 0;
    list-style-type: none;
}

.mobile_nav ul li a{
    color: inherit;
    cursor: pointer;
    text-decoration: none;
}   

.mobile_nav ul li{
    text-align: center;
    font-weight: 400;
    margin-bottom: 1rem;
}

.mobile_nav ul li.active{
    color: #bcbcbc;
}


.name{
    display: flex;
    justify-self: center;
    font-family: "Inter", sans-serif;
    font-weight: 500;
    font-size: 15px;
}

.menu_but{
    display: flex;
    justify-self: center;
}

#card-container{
    width: 100%;
    margin-top: 15vw;
}

.card{
    width: 100%;
    height: fit-content;
    padding: 0 5px;
}

.card img{
    height: 60vh;
    width: 100%;
    object-fit: fill;
}

.card h3{
    display: block;
    color: #ffffff;
    font-family: "Inter", sans-serif;
    font-weight: 700;
}

.card p{
    display: block;
    color: #ffffff;
    font-family: "IBM Plex Mono", monospace;
}

.get-in-touch{
    color: #ffffff;
    font-family: "IBM Plex Mono", monospace;
    display: flex;
    flex-direction: column;
    justify-content: center;
    justify-items: center;
    align-items: center;
    font-size: 13px;
    margin-bottom: 1rem;
    margin-top: 2rem;
}

.get-in-touch button{
    color: #fff;
    text-align: center;
    text-transform: uppercase;
    background-color: #0000;
    border: 1px solid #fff;
    border-radius: 9rem;
    align-items: center;
    padding: 1rem 1rem;
    font-size: .825rem;
    font-weight: 400;
    overflow: hidden;
    transition: all 0.5s ease-in-out ;
}

.get-in-touch button:hover{
    color: #000000;
    background-color: #fff;
}

@media screen and (min-width: 768px) {
    header{
        gap: 0;
        justify-content: space-between;
        padding: 0 15px;
    }
    #menu-icon {
        display: none;
    }
    nav{
        display: flex;
        width: 40%;
    }
    nav ul{
        list-style-type: none;
        display: flex;
        justify-content: space-between;
        padding: 0;
        margin: 0;
        width: 100%;
        font-family: "Inter", sans-serif;
        font-size: 13px;
        font-weight: 600;
    }

    nav ul li a{
        color: inherit;
        cursor: pointer;
        text-decoration: none;
    }   

    nav ul li:hover{
        color: #bcbcbc;
        cursor: pointer;
    }

    nav ul li:active{
        color: #e8e8e8;
    }

    nav ul li.active{
        color: #bcbcbc;
    }

    .card img{
        height: 80vh;
    }

    .card h3 {
        position: absolute;
        left: 10px;
        align-self: center;
        text-shadow: 2px 2px 4px rgba(0, 0, 0, 1);
    }

    .card p {
        position: absolute;
        right: 10px;
        align-self: center;
        text-shadow: 2px 2px 0px rgba(0, 0, 0, 1);
    }
}
@media screen and (min-width: 1024px) {
    .name{
        font-size: 20px;
    }
}

@media screen and (min-width: 1440px) {
    .name {
        font-size: 30px;
    }

    nav ul {
        font-size: 20px;
    }
}